package ScattergramS;

import java.io.*;
import javafx.application.Application;
import javafx.scene.*;
import javafx.scene.chart.*;
import javafx.scene.layout.*;
import javafx.stage.*;

public class ScattergramS extends Application {

	static double sqr( double x ){
			return x * x;
	}

	@Override
	public void start(Stage stage){	
		//
		//			f[^̐ݒ
		//
		double data[][] = { {1, 5},
							{2, 4},
							{3, 2},
							{5, 1} };
		int n = data.length;

		String Var1Label = "X1";		//		̕ϐ
		String Var2Label = "X2";		//		c̕ϐ

		/*---------------------------------------------------

				            Uz}̕`

		-----------------------------------------------------*/

		stage.setTitle("Uz}");

		NumberAxis x_axis = new NumberAxis();
		x_axis.setLabel(Var1Label);
		NumberAxis y_axis = new NumberAxis();
		y_axis.setLabel(Var2Label);
								
		XYChart.Series<Number, Number> xy_series = new XYChart.Series<>();
		xy_series.setName("(" + Var1Label + ", " + Var2Label + ")");
		for (int i = 0; i < n; i++)
			xy_series.getData().add(new XYChart.Data<>(data[i][0], data[i][1]));

		ScatterChart<Number, Number> scatter = new ScatterChart<>(x_axis, y_axis);
		scatter.setTitle("Uz}");
		scatter.getData().add(xy_series);

		HBox root = new HBox();
		root.getChildren().add(scatter);			

		stage.setScene( new Scene(root, 800, 600) );
		stage.show();
	}
}